package ssw.mj;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**	
 * Messages manages the localizable text messages for the compiler.
 * 
 * @author AW 
 */
public class Messages {
	private static final String BUNDLE_NAME = "ssw.mj.messages";

	private static final ResourceBundle RESOURCE_BUNDLE = 
		ResourceBundle.getBundle(BUNDLE_NAME);

	private Messages () {}  // avoid instance creation

	public static String getString (int tokenKind) {
		try { return RESOURCE_BUNDLE.getString("Token." + tokenKind); } 
		catch (MissingResourceException e) {
			return ">>Token." + tokenKind + "<<";
		}
	}

	public static String getString (String key) {
		try { return RESOURCE_BUNDLE.getString(key); } 
		catch (MissingResourceException e) {
			return ">>" + key + "<<";
		}
	}
}
